# pyFTS.distributed package

## Module contents

## Submodules

## pyFTS.distributed.dispy module

## pyFTS.distributed.spark module

`pyFTS.distributed.spark.``create_multivariate_model`(**parameters)

`pyFTS.distributed.spark.``create_spark_conf`(**kwargs)

`pyFTS.distributed.spark.``create_univariate_model`(**parameters)

`pyFTS.distributed.spark.``distributed_predict`(data, model, **kwargs)

  Parameters: | model – data – url – app –
  Returns: |

`pyFTS.distributed.spark.``distributed_train`(model, data, **kwargs)

  Parameters: | model – data – url – app –
  Returns: |

`pyFTS.distributed.spark.``get_clustered_partitioner`(explanatory_variables, target_variable, **parameters)

`pyFTS.distributed.spark.``get_partitioner`(shared_partitioner, type='common', variables=[])

  Parameters: | part –
  Returns: |

`pyFTS.distributed.spark.``get_variables`(**parameters)

`pyFTS.distributed.spark.``share_parameters`(model, context, data)

`pyFTS.distributed.spark.``slave_forecast_multivariate`(data, **parameters)

`pyFTS.distributed.spark.``slave_forecast_univariate`(data, **parameters)

  Parameters: | data –
  Returns: |

`pyFTS.distributed.spark.``slave_train_multivariate`(data, **parameters)

`pyFTS.distributed.spark.``slave_train_univariate`(data, **parameters)

  Parameters: | data –
  Returns: |